Subject: emacs hang fix
From: Joe Buehler <[email-masked]>
To: [email-masked]
Date: Wed, 09 Apr 2003 16:16:28 -0400

> Just a heads up: I am debugging a hang problem in Cygwin that emacs seems
> to trigger.  It might be the same problem you are seeing, in which case 
> it's
> not an emacs problem.  If you have the same problem I do, when you
> run strace on a hung emacs you will see it in an infinite loop trying
> to deal with signal 20 (SIGCHLD).

I tracked this down to a bug in the Cygwin DLL.  The fix is easy -- it's
a one-liner in the source code.  I assume it will be in an upcoming
Cygwin DLL release.
-- 
Joe Buehler

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/